Bug 10103 - UniqueItemFields is missing from sysprefs.sql
Summary: UniqueItemFields is missing from sysprefs.sql
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Mirko Tietgen
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-23 15:55 UTC by Mirko Tietgen
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10103 UniqueItemFields is missing from sysprefs.sql (2.45 KB, patch)
2013-04-23 16:07 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 10103 UniqueItemFields is missing from sysprefs.sql (2.45 KB, patch)
2013-04-23 16:25 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 10103 UniqueItemFields is missing from sysprefs.sql (2.51 KB, patch)
2013-04-26 12:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10103 UniqueItemFields is missing from sysprefs.sql (2.57 KB, patch)
2013-04-26 13:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2013-04-23 15:55:45 UTC
Bug 7892 introduced UniqueItemFields but did not add it to sysprefs.sql.
Comment 1 Mirko Tietgen 2013-04-23 16:07:38 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2013-04-23 16:25:02 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2013-04-23 16:47:09 UTC
Test Plan:

- Apply patch
- Do a new installation
- In mySQL do 'SELECT * FROM systempreferences WHERE variable = 'UniqueItemFields';', check if 'UniqueItemFields' is present (and not all lowercase)
- If yes, sign off the patch
Comment 4 Kyle M Hall 2013-04-26 12:51:24 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-04-26 13:19:34 UTC
Add missing syspref in syspref.sql file.
Marked as Passed QA.
Comment 6 Jonathan Druart 2013-04-26 13:20:20 UTC
Created attachment 17703 [details] [review]
Bug 10103 UniqueItemFields is missing from sysprefs.sql

Bug 7892 introduced UniqueItemFields but did not add it to sysprefs.sql.
Also fixes an unrelated  missing semicolon in sysprefs.sql

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jared Camins-Esakov 2013-04-26 22:18:26 UTC
This patch has been pushed to master and 3.12.x.